//position
attribute vec4 position;
uniform mat4 uOrientationM;
//camera transform and texture
uniform mat4 camTextureTransform;
attribute vec4 camTexCoordinate;
//tex coords
varying vec2 v_CamTexCoordinate;

void main()
{
    //camera texcoord needs to be manipulated by the transform given back from the system
    gl_Position = position;
    v_CamTexCoordinate = (camTextureTransform * ((uOrientationM * gl_Position + 1.0)*0.5)).xy;
}